<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <head>
        <title>Proprietário</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>

    <body>
        <ui:composition template="../WEB-INF/template/template.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Cadastro do Proprietario">
                    <p:panelGrid columns="2" id="painelProprietario">
                        <f:facet name="header">
                            Dados do Proprietario
                        </f:facet>
                        <p:outputLabel value="Codigo Do Proprietario:" for="codigoProprietario" />
                        <p:inputText id="codigoProprietario"  style="width: 40px" readonly="true" value="#{propritarioBean.codigo}" />
                        <p:outputLabel value="Nome Do Proprietario:" for="nomeProprietario" />
                        <h:panelGroup >
                            <p:inputText id="nomeProprietario" required="true" requiredMessage="Campo nome é obrigatorio!" value="#{proprietarioBean.proprietario.nome}" />
                            <p:message for="nomeProprietario" />
                        </h:panelGroup>
                        <p:outputLabel value="Sobrenome:" for="sobrenome" />
                        <h:panelGroup >
                            <p:inputText id="sobrenome" required="true" requiredMessage="Campo sobrenome é obrigatorio!" value="#{proprietarioBean.proprietario.sobrenome}" />
                            <p:message for="sobrenome" />
                        </h:panelGroup>
                        <p:outputLabel value="CPF:" for="cpf" />
                        <h:panelGroup >
                            <p:inputText id="cpf" required="true" requiredMessage="Campo cpf é obrigatorio!" value="#{proprietarioBean.proprietario.cpf}"  />
                            <p:message for="cpf" />
                        </h:panelGroup>
                        <p:outputLabel value="E-mail:" for="email" />
                        <h:panelGroup >
                            <p:inputText id="email" required="true" requiredMessage="Campo e-mail é obrigatorio!" value="#{proprietarioBean.proprietario.email}"  />
                            <p:message for="email" />
                        </h:panelGroup>
                        <p:outputLabel value="Telefone:" for="telefone" />
                        <h:panelGroup >
                            <p:inputText id="telefone" required="true" requiredMessage="Campo telefone é obrigatorio!" value="#{proprietarioBean.proprietario.telefone}"  />
                            <p:message for="telefone" />
                        </h:panelGroup>
                        <p:outputLabel value="Informações Adicionais:" for="informacao" />
                        <h:panelGroup >
                            <p:inputText id="informacao" value="#{proprietarioBean.proprietario.informacao}"  />
                            <p:message for="informacao" />
                        </h:panelGroup >
                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus" action="#{proprietarioBean.salvar}" update="painelProprietario" />
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil" action="#{proprietarioBean.novo}" immediate="true" update="painelProprietario" resetValues="true"/>
                        </f:facet>
                        <h:inputHidden value="#{proprietarioBean.proprietario.id}" />
                    </p:panelGrid>
                </p:fieldset>  
            </ui:define>
        </ui:composition>
    </body>
</html>

